/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.sling.event;

/**
 * The eventing thread pool is a special thread pool used for the eventing.
 * The eventing uses a service registered as this interface.
 * The default implementation is a configurable pool registered with
 * commons threads.
 *
 * @version $Id: ThreadPool.java 724794 2008-12-09 17:34:55Z cziegeler $
 */
public interface ThreadPool extends org.apache.sling.commons.threads.ThreadPool {

    // this is just a marker interface
}
